TULISAN - Bug #3373

Perbaikan Validasi Cash Activity Type dan Cash Activity Detail

01/24/2025 11:49 AM - haykal haykal

Status: Closed
Priority: Urgent
Assignee: haykal haykal
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

01/24/2025
01/28/2025
0%

0.00 hour
0.00 hour

Description
Dear Mbak Yomma,

Validasi Cash Activity Type dan Cash Activity Detail untuk Account Class CA (redmine #2871) sudah di-deploy dan berjalan di port
Tulisan. Saat ini 'kan Mbak Yomma bikin validasinya ketika user klik button Add. Cuma kalo kata Mbak Yaya sebaiknya validasinya
dibikin di button Save juga (before Submit). Soalnya ada case ketika GLAccount yg Account Class nya CA ada di row terakhir (jadi

tidak terkena validasi di button Add). Tolong diperbaiki ya Mbak validasinya.

Terimakasih.

Menu: GL, AR, AP, IP, OP
Port: https:/tulisan.minovais.com/
DB: MinovaES_Tulisan_Prod (di 89)

History

#1 - 01/28/2025 11:59 AM - Kezia Pawitra Yulianti
- Due date set to 01/28/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 01/30/2025 02:58 PM - Tri Rizqgiaty

- File clipboard-202501301457-juvqz.png added

- File SMESSAGECATALOG - Cash Activity.xlsx added
- Status changed from Assigned to Developing

Fixing :

1.Update folder Ul/app/controller/filo/documentfinance.js

07/05/2025

1/2



http://remote.minovais.com:3000/redmine/issues/2871
https://tulisan.minovais.com/
sage ("™, "FILOL4"™, "™, "E");

y*/ /4 dicomment bv Tri pwh 20251

B webtconfig &3 |B web.config 3|8 documentfinancejs 3| Minovaxiypejs £l B documenttinance)s 3| Bl Minovaxtypejs 3 [ documentfinancejs B3 h documentfinancejs 3

var store = Ext.StoreMgr.lookup("

=] for (var i = 0; i < store.count():; i++)
var GLAccountID = store.getAt(i).get('GLE
var AccountGroup = store.getAt(i).get('A
var CashActivityType = store.getAt(i).get(’

if(GLAccountID == '')

var CashActivityDetail = store.getAt(i).get(’

EM™Y . //// add by Tri nwh 20250128 validasi grid item

|| CashActivityDetail == "'}

{
= MinovaMessage("", "E 14", "%, "E¥):
panelHead.unmask() ;
return;
break:
F }
if (AccountGroup == 'CA")
=] (
if (CashhActivityType == "'
H {
MinovaMessage("", "FILOl5", "", "E");
panelHead.unmask() ;
return;
break:

}

= if (me.transType == undefined){
me.transType = panelHead.transType;
}
=| if (me.docType == undefined) {
me docType = panelBead docTvpe:

var panelHead = Ext.ComponentQuery.query (' [name=MainHeaderL
2. Update table SMESSAGECATALQG, sesuai file terlampir

#3 - 01/30/2025 02:58 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqgiaty to haykal haykal

#4 - 01/30/2025 04:27 PM - haykal haykal
- Status changed from QA Test to Closed
